Unlock a wallet
POST
/v1/admin/wallet/{handle}/unlock
const url = 'https://api.gampeon.com/v1/admin/wallet/example/unlock';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.gampeon.com/v1/admin/wallet/example/unlock \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "reason": "example" }'Requires the role admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”handle
required
string
Handle of the account
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
reason
required
Reason, 5 to 500 characters. Stored in the audit log.
string
Example generated
{ "reason": "example"}Responses
Section titled “Responses”Unlocked
Media typeapplication/json
object
handle
required
string
locked
required
Example
{ "locked": false}Error codes: invalid_field
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed, four_eyes_required
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}